Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class DF

Class implementing dedicated files
Defined in: DF.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| DF(the) Creates a Dedicated File (DF) The constructor supports as argument a list of child elements

Method Summary
Method Attributes | Method Name and Description
--- | ---
| add(node) Adds a new child node to the DF
| addMeta(name, value) Add meta information to DF
| addObject(o) Add object to DF
| dump(indent) Dump the file system system recursively starting this this node
| isDF() Returns true as this is a DF
| selectByAID(the) Select a DF contained in the DF using the application identifier
| selectByFID(the) Select a file contained in the DF using the file identifier
| selectBySFI(the) Select a file contained in the DF using the short file identifier

Class Detail
DF(the)
Creates a Dedicated File (DF)

The constructor supports as argument a list of child elements

Parameters:
{FCP} the
  file control parameter

Method Detail
add(node)
Adds a new child node to the DF

Parameters:
{FSNode} node
  the node to add

addMeta(name, value)
Add meta information to DF

Parameters:
{String} name
  name of meta information
{Object} value
  value of meta information

addObject(o)
Add object to DF

Parameters:
{Object} o
  object to be added. Must have property type and id.

{String} dump(indent)
Dump the file system system recursively starting this this node

Parameters:
{String} indent
  the string to prefix the output with

Returns:
  the dump

{boolean} isDF()
Returns true as this is a DF

Returns:
  true this is a DF

{FSNode} selectByAID(the)
Select a DF contained in the DF using the application identifier

Parameters:
{ByteString} the
  application identifier

Returns:
  the found node or undefined

{FSNode} selectByFID(the)
Select a file contained in the DF using the file identifier

Parameters:
{ByteString} the
  file identifier

Returns:
  the found node or undefined

{FSNode} selectBySFI(the)
Select a file contained in the DF using the short file identifier

Parameters:
{Number} the
  short file identifier

Returns:
  the found node or undefined

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Apr 30 2026 15:08:16 GMT+0200 (CEST)